<template>
  <div>
    <div class="gva-form-box">
      <el-form :model="formData" ref="elFormRef" label-position="right" :rules="rule" label-width="80px">
        <el-form-item label="addr字段:" prop="addr">
          <el-input v-model="formData.addr" :clearable="true" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="amount字段:" prop="amount">
          <el-input v-model.number="formData.amount" :clearable="true" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="height字段:" prop="height">
          <el-input v-model.number="formData.height" :clearable="true" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="hash字段:" prop="hash">
          <el-input v-model="formData.hash" :clearable="true" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="withdrawTime字段:" prop="withdrawTime">
          <el-input v-model.number="formData.withdrawTime" :clearable="true" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="withdrawDate字段:" prop="withdrawDate">
          <el-date-picker v-model="formData.withdrawDate" type="date" placeholder="选择日期" :clearable="true"></el-date-picker>
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="save">保存</el-button>
          <el-button type="primary" @click="back">返回</el-button>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PoolAddrWithdrawList'
}
</script>

<script setup>
import {
  createPoolAddrWithdrawList,
  updatePoolAddrWithdrawList,
  findPoolAddrWithdrawList
} from '@/api/poolAddrWithdrawList'

// 自动获取字典
import { getDictFunc } from '@/utils/format'
import { useRoute, useRouter } from "vue-router"
import { ElMessage } from 'element-plus'
import { ref, reactive } from 'vue'
const route = useRoute()
const router = useRouter()

const type = ref('')
const formData = ref({
            addr: '',
            amount: 0,
            height: 0,
            hash: '',
            withdrawTime: 0,
            withdrawDate: new Date(),
        })
// 验证规则
const rule = reactive({
               addr : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
               amount : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
               height : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
               hash : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
               withdrawTime : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
               withdrawDate : [{
                   required: true,
                   message: '',
                   trigger: ['input','blur'],
               }],
})

const elFormRef = ref()

// 初始化方法
const init = async () => {
 // 建议通过url传参获取目标数据ID 调用 find方法进行查询数据操作 从而决定本页面是create还是update 以下为id作为url参数示例
    if (route.query.id) {
      const res = await findPoolAddrWithdrawList({ ID: route.query.id })
      if (res.code === 0) {
        formData.value = res.data.repoolAddrWithdrawList
        type.value = 'update'
      }
    } else {
      type.value = 'create'
    }
}

init()
// 保存按钮
const save = async() => {
      elFormRef.value?.validate( async (valid) => {
         if (!valid) return
            let res
           switch (type.value) {
             case 'create':
               res = await createPoolAddrWithdrawList(formData.value)
               break
             case 'update':
               res = await updatePoolAddrWithdrawList(formData.value)
               break
             default:
               res = await createPoolAddrWithdrawList(formData.value)
               break
           }
           if (res.code === 0) {
             ElMessage({
               type: 'success',
               message: '创建/更改成功'
             })
           }
       })
}

// 返回按钮
const back = () => {
    router.go(-1)
}

</script>

<style>
</style>
